# CLDeviceCapabilities (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class CLDeviceCapabilities

    java.lang.Object
      org.lwjgl.opencl.CLDeviceCapabilities

    public class CLDeviceCapabilities

extends java.lang.Object

Field Summary
`boolean` `CL_AMD_device_attribute_query`
`boolean` `CL_AMD_device_memory_flags`
`boolean` `CL_AMD_fp64`
`boolean` `CL_AMD_media_ops`
`boolean` `CL_AMD_media_ops2`
`boolean` `CL_AMD_offline_devices`
`boolean` `CL_AMD_popcnt`
`boolean` `CL_AMD_printf`
`boolean` `CL_AMD_vec3`
`boolean` `CL_APPLE_gl_sharing`
`boolean` `CL_APPLE_SetMemObjectDestructor`
`boolean` `CL_EXT_atomic_counters_32`
`boolean` `CL_EXT_atomic_counters_64`
`boolean` `CL_EXT_device_fission`
`boolean` `CL_EXT_migrate_memobject`
`boolean` `CL_INTEL_immediate_execution`
`boolean` `CL_INTEL_printf`
`boolean` `CL_INTEL_thread_local_exec`
`boolean` `CL_KHR_3d_image_writes`
`boolean` `CL_KHR_byte_addressable_store`
`boolean` `CL_KHR_depth_images`
`boolean` `CL_KHR_fp16`
`boolean` `CL_KHR_fp64`
`boolean` `CL_KHR_gl_depth_images`
`boolean` `CL_KHR_gl_event`
`boolean` `CL_KHR_gl_msaa_sharing`
`boolean` `CL_KHR_gl_sharing`
`boolean` `CL_KHR_global_int32_base_atomics`
`boolean` `CL_KHR_global_int32_extended_atomics`
`boolean` `CL_KHR_image2d_from_buffer`
`boolean` `CL_KHR_initialize_memory`
`boolean` `CL_KHR_int64_base_atomics`
`boolean` `CL_KHR_int64_extended_atomics`
`boolean` `CL_KHR_local_int32_base_atomics`
`boolean` `CL_KHR_local_int32_extended_atomics`
`boolean` `CL_KHR_mipmap_image`
`boolean` `CL_KHR_mipmap_image_writes`
`boolean` `CL_KHR_select_fprounding_mode`
`boolean` `CL_KHR_spir`
`boolean` `CL_KHR_srgb_image_writes`
`boolean` `CL_KHR_subgroups`
`boolean` `CL_KHR_terminate_context`
`boolean` `CL_NV_compiler_options`
`boolean` `CL_NV_device_attribute_query`
`boolean` `CL_NV_pragma_unroll`
`int` `majorVersion`
`int` `minorVersion`
`boolean` `OpenCL11`
`boolean` `OpenCL12`

Constructor Summary
`CLDeviceCapabilities(CLDevice device)`

Method Summary
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### majorVersion

    public final int majorVersion

### minorVersion

    public final int minorVersion

### OpenCL11

    public final boolean OpenCL11

### OpenCL12

    public final boolean OpenCL12

### CL_AMD_device_attribute_query

    public final boolean CL_AMD_device_attribute_query

### CL_AMD_device_memory_flags

    public final boolean CL_AMD_device_memory_flags

### CL_AMD_fp64

    public final boolean CL_AMD_fp64

### CL_AMD_media_ops

    public final boolean CL_AMD_media_ops

### CL_AMD_media_ops2

    public final boolean CL_AMD_media_ops2

### CL_AMD_offline_devices

    public final boolean CL_AMD_offline_devices

### CL_AMD_popcnt

    public final boolean CL_AMD_popcnt

### CL_AMD_printf

    public final boolean CL_AMD_printf

### CL_AMD_vec3

    public final boolean CL_AMD_vec3

### CL_APPLE_SetMemObjectDestructor

    public final boolean CL_APPLE_SetMemObjectDestructor

### CL_APPLE_gl_sharing

    public final boolean CL_APPLE_gl_sharing

### CL_EXT_atomic_counters_32

    public final boolean CL_EXT_atomic_counters_32

### CL_EXT_atomic_counters_64

    public final boolean CL_EXT_atomic_counters_64

### CL_EXT_device_fission

    public final boolean CL_EXT_device_fission

### CL_EXT_migrate_memobject

    public final boolean CL_EXT_migrate_memobject

### CL_INTEL_immediate_execution

    public final boolean CL_INTEL_immediate_execution

### CL_INTEL_printf

    public final boolean CL_INTEL_printf

### CL_INTEL_thread_local_exec

    public final boolean CL_INTEL_thread_local_exec

### CL_KHR_3d_image_writes

    public final boolean CL_KHR_3d_image_writes

### CL_KHR_byte_addressable_store

    public final boolean CL_KHR_byte_addressable_store

### CL_KHR_depth_images

    public final boolean CL_KHR_depth_images

### CL_KHR_fp16

    public final boolean CL_KHR_fp16

### CL_KHR_fp64

    public final boolean CL_KHR_fp64

### CL_KHR_gl_depth_images

    public final boolean CL_KHR_gl_depth_images

### CL_KHR_gl_event

    public final boolean CL_KHR_gl_event

### CL_KHR_gl_msaa_sharing

    public final boolean CL_KHR_gl_msaa_sharing

### CL_KHR_gl_sharing

    public final boolean CL_KHR_gl_sharing

### CL_KHR_global_int32_base_atomics

    public final boolean CL_KHR_global_int32_base_atomics

### CL_KHR_global_int32_extended_atomics

    public final boolean CL_KHR_global_int32_extended_atomics

### CL_KHR_image2d_from_buffer

    public final boolean CL_KHR_image2d_from_buffer

### CL_KHR_initialize_memory

    public final boolean CL_KHR_initialize_memory

### CL_KHR_int64_base_atomics

    public final boolean CL_KHR_int64_base_atomics

### CL_KHR_int64_extended_atomics

    public final boolean CL_KHR_int64_extended_atomics

### CL_KHR_local_int32_base_atomics

    public final boolean CL_KHR_local_int32_base_atomics

### CL_KHR_local_int32_extended_atomics

    public final boolean CL_KHR_local_int32_extended_atomics

### CL_KHR_mipmap_image

    public final boolean CL_KHR_mipmap_image

### CL_KHR_mipmap_image_writes

    public final boolean CL_KHR_mipmap_image_writes

### CL_KHR_select_fprounding_mode

    public final boolean CL_KHR_select_fprounding_mode

### CL_KHR_spir

    public final boolean CL_KHR_spir

### CL_KHR_srgb_image_writes

    public final boolean CL_KHR_srgb_image_writes

### CL_KHR_subgroups

    public final boolean CL_KHR_subgroups

### CL_KHR_terminate_context

    public final boolean CL_KHR_terminate_context

### CL_NV_compiler_options

    public final boolean CL_NV_compiler_options

### CL_NV_device_attribute_query

    public final boolean CL_NV_device_attribute_query

### CL_NV_pragma_unroll

    public final boolean CL_NV_pragma_unroll

Constructor Detail

### CLDeviceCapabilities

    public CLDeviceCapabilities(CLDevice device)

Method Detail

### getMajorVersion

    public int getMajorVersion()

### getMinorVersion

    public int getMinorVersion()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.